Package Details: openspades 0.1.3-2

Git Clone URL: https://aur.archlinux.org/openspades.git (read-only, click to copy)
Package Base: openspades
Description: A clone of Voxlap Ace of Spades 0.75
Upstream URL: http://openspades.yvt.jp/
Licenses: GPL3
Submitter: kusakata
Maintainer: swalladge
Last Packager: swalladge
Votes: 20
Popularity: 0.20
First Submitted: 2013-12-15 16:55
Last Updated: 2019-08-12 09:02

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

swalladge commented on 2015-12-10 22:33

Brottweiller, sure no problem.

Brottweiler commented on 2015-12-10 21:19

Since you have this package, I think it makes sense for you to also adopt openspades-git https://aur.archlinux.org/packages/openspades-git/ if you want. I added it originally because of the new AUR git system. You are probably better at maintaining this than me.

2mac commented on 2014-04-11 15:28

Note that openspades-data needs to be removed for version 0.0.11 to build.

kusakata commented on 2014-04-04 11:50

updated. openspades-data can be removed.

Brottweiler commented on 2014-03-14 17:42

Thank you!

kusakata commented on 2014-03-14 17:40

Thanks a lot. I submitted openspades-git package: https://aur.archlinux.org/packages/openspades-git/

Brottweiler commented on 2014-03-14 17:16

The binary fails to run? Do you mean that you get "File not found: Gfx/fonts/CMUSansCondensed.png"?
If that is it, you can solve it. Here is how.

The README sais "See Resources/PakLocation.txt to find out where get latest shared files. Download, extract, and place them into /usr/local/share/openspades/Resources or ~/.openspades/Resources"

So if you go here: https://github.com/yvt/openspades/blob/master/Resources/PakLocation.txt
You can download the DevPaks25.zip. Extract it and place the .pak files in ~/.openspades/Resources.

Maybe add that to the PKGBUILD, so it does it automatically?

kusakata commented on 2014-03-14 15:44

I had the same problem with the official release. It let me give up using that release.
By the way, I tried to write new PKGBUILD building from git. Building was OK, but the binary failed to run.
https://gist.github.com/kusakata/9550078
When the developer release v0.0.11, I am going to retry.

Brottweiler commented on 2014-03-14 15:02

I am in the process of modifying this PKGBUILD to build either git or the latest release, but since I am a bit beginner I will see if I get it to work, and then I might do that yet.

I am having issue with said way, though. Maybe you have an idea. I changed v${pkgver}a to v${pkgver} (removed the "a"), then changed "kusakata" to "yvt". It downloads and starts building the latest release from that repo, but I end up getting this https://gist.github.com/Brottweiler/9007bb560d56f398369d

Which I cannot figure out how to fix.

kusakata commented on 2014-03-14 12:03

I didn't made this package as the latest git version. And feel free to create the git version package like "openspades-git".
I couldn't official 0.0.10 w/Software Renderer release, so I forked and made v0.0.10a without swrender branch. Except for that branch, there is no difference.